Package org.bukkit.util.permissions

# Class DefaultPermissions

java.lang.Object
org.bukkit.util.permissions.DefaultPermissions

public final class DefaultPermissions extends Object

## Method Summary

Modifier and Type
Method
Description
`static void`
`registerCorePermissions()`
`static @NotNull Permission`
`registerPermission(@NotNull String name, @Nullable String desc)`
`static @NotNull Permission`
`registerPermission(@NotNull String name, @Nullable String desc, @NotNull Permission parent)`
`static @NotNull Permission`
`registerPermission(@NotNull String name, @Nullable String desc, @Nullable PermissionDefault def)`
`static @NotNull Permission`
`registerPermission(@NotNull String name, @Nullable String desc, @Nullable PermissionDefault def, @NotNull Permission parent)`
`static @NotNull Permission`
`registerPermission(@NotNull String name, @Nullable String desc, @Nullable PermissionDefault def, @Nullable Map<String,Boolean> children)`
`static @NotNull Permission`
`registerPermission(@NotNull String name, @Nullable String desc, @Nullable PermissionDefault def, @Nullable Map<String,Boolean> children, @NotNull Permission parent)`
`static @NotNull Permission`
`registerPermission(@NotNull Permission perm)`
`static @NotNull Permission`
`registerPermission(@NotNull Permission perm, boolean withLegacy)`
`static @NotNull Permission`
`registerPermission(@NotNull Permission perm, @NotNull Permission parent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### registerPermission

@NotNull public static @NotNull Permission registerPermission(@NotNull @NotNull Permission perm)

### registerPermission

@NotNull public static @NotNull Permission registerPermission(@NotNull @NotNull Permission perm, boolean withLegacy)

### registerPermission

@NotNull public static @NotNull Permission registerPermission(@NotNull @NotNull Permission perm, @NotNull @NotNull Permission parent)

### registerPermission

@NotNull public static @NotNull Permission registerPermission(@NotNull @NotNull String name, @Nullable @Nullable String desc)

### registerPermission

@NotNull public static @NotNull Permission registerPermission(@NotNull @NotNull String name, @Nullable @Nullable String desc, @NotNull @NotNull Permission parent)

### registerPermission

@NotNull public static @NotNull Permission registerPermission(@NotNull @NotNull String name, @Nullable @Nullable String desc, @Nullable @Nullable PermissionDefault def)

### registerPermission

@NotNull public static @NotNull Permission registerPermission(@NotNull @NotNull String name, @Nullable @Nullable String desc, @Nullable @Nullable PermissionDefault def, @NotNull @NotNull Permission parent)

### registerPermission

@NotNull public static @NotNull Permission registerPermission(@NotNull @NotNull String name, @Nullable @Nullable String desc, @Nullable @Nullable PermissionDefault def, @Nullable @Nullable Map<String,Boolean> children)

### registerPermission

@NotNull public static @NotNull Permission registerPermission(@NotNull @NotNull String name, @Nullable @Nullable String desc, @Nullable @Nullable PermissionDefault def, @Nullable @Nullable Map<String,Boolean> children, @NotNull @NotNull Permission parent)

### registerCorePermissions

public static void registerCorePermissions()